//
// Copyright (C) 2006, NinjaTrader LLC <ninjatrader@ninjatrader.com>.
// NinjaTrader reserves the right to modify or overwrite this NinjaScript component with each release.
//

#region Using declarations
using System;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Xml.Serialization;
using NinjaTrader.Data;
using NinjaTrader.Gui.Chart;
#endregion

#region NinjaScript generated code. Neither change nor remove.
// This namespace holds all indicators and is required. Do not change it.
namespace NinjaTrader.Indicator
{
    public partial class Indicator : IndicatorBase
    {
        private JTDepthSales[] cacheJTDepthSales = null;

        private static JTDepthSales checkJTDepthSales = new JTDepthSales();

        /// <summary>
        /// Depth and Sales. Market Depth with an integrated view of the actual prints.
        /// </summary>
        /// <returns></returns>
        public JTDepthSales JTDepthSales(System.Drawing.Color alertBack, int alertColumnPosition, System.Drawing.Color alertFore, double alertPoint01Price, string alertPoint01Text, double alertPoint02Price, string alertPoint02Text, double alertPoint03Price, string alertPoint03Text, double alertPoint04Price, string alertPoint04Text, double alertPoint05Price, string alertPoint05Text, double alertPoint06Price, string alertPoint06Text, double alertPoint07Price, string alertPoint07Text, double alertPoint08Price, string alertPoint08Text, double alertPoint09Price, string alertPoint09Text, double alertPoint10Price, string alertPoint10Text, bool alwaysOnTop, int askCurentColumnPosition, System.Drawing.Color askCurrentBack, System.Drawing.Color askCurrentFore, System.Drawing.Color askCurrentInsideBack, System.Drawing.Color askDepthBack, int askDepthColumnPosition, System.Drawing.Color askDepthFore, System.Drawing.Color askDepthTotalFore, System.Drawing.Color askSnapshotBack, int askSnapshotColumnPosition, System.Drawing.Color askSnapshotFore, System.Drawing.Color askSnapshotInsideBack, System.Drawing.Color askTotalBack, int askTotalColumnPosition, System.Drawing.Color askTotalFore, bool autoCenter, System.Drawing.Color bidCurrentBack, int bidCurrentColumnPosition, System.Drawing.Color bidCurrentFore, System.Drawing.Color bidCurrentInsideBack, System.Drawing.Color bidDepthBack, int bidDepthColumnPosition, System.Drawing.Color bidDepthFore, System.Drawing.Color bidDepthTotalFore, System.Drawing.Color bidSnapshotBack, int bidSnapshotColumnPosition, System.Drawing.Color bidSnapshotFore, System.Drawing.Color bidSnapshotInsideBack, System.Drawing.Color bidTotalBack, int bidTotalColumnPosition, System.Drawing.Color bidTotalFore, bool centerLine, System.Drawing.Color centerLineColor, int clearLevelInterval, bool consolidateStartup, bool consolidateTotals, Font displayFont, DisplayScheme dScheme, System.Drawing.Color gridLineColor, System.Drawing.Color lastTradedPriceBack, System.Drawing.Color lastTradedPriceFore, int marketDepth, int maxPriceUpdates, System.Drawing.Color nonTradedPriceBack, System.Drawing.Color nonTradedPriceFore, int priceColumnPosition, bool printAboveBelow, int snapshotDepth, int ticksBeforeAutoCenter, System.Drawing.Color tradedPriceBack, System.Drawing.Color tradedPriceFore, int updateDelay)
        {
            return JTDepthSales(Input, alertBack, alertColumnPosition, alertFore, alertPoint01Price, alertPoint01Text, alertPoint02Price, alertPoint02Text, alertPoint03Price, alertPoint03Text, alertPoint04Price, alertPoint04Text, alertPoint05Price, alertPoint05Text, alertPoint06Price, alertPoint06Text, alertPoint07Price, alertPoint07Text, alertPoint08Price, alertPoint08Text, alertPoint09Price, alertPoint09Text, alertPoint10Price, alertPoint10Text, alwaysOnTop, askCurentColumnPosition, askCurrentBack, askCurrentFore, askCurrentInsideBack, askDepthBack, askDepthColumnPosition, askDepthFore, askDepthTotalFore, askSnapshotBack, askSnapshotColumnPosition, askSnapshotFore, askSnapshotInsideBack, askTotalBack, askTotalColumnPosition, askTotalFore, autoCenter, bidCurrentBack, bidCurrentColumnPosition, bidCurrentFore, bidCurrentInsideBack, bidDepthBack, bidDepthColumnPosition, bidDepthFore, bidDepthTotalFore, bidSnapshotBack, bidSnapshotColumnPosition, bidSnapshotFore, bidSnapshotInsideBack, bidTotalBack, bidTotalColumnPosition, bidTotalFore, centerLine, centerLineColor, clearLevelInterval, consolidateStartup, consolidateTotals, displayFont, dScheme, gridLineColor, lastTradedPriceBack, lastTradedPriceFore, marketDepth, maxPriceUpdates, nonTradedPriceBack, nonTradedPriceFore, priceColumnPosition, printAboveBelow, snapshotDepth, ticksBeforeAutoCenter, tradedPriceBack, tradedPriceFore, updateDelay);
        }

        /// <summary>
        /// Depth and Sales. Market Depth with an integrated view of the actual prints.
        /// </summary>
        /// <returns></returns>
        public JTDepthSales JTDepthSales(Data.IDataSeries input, System.Drawing.Color alertBack, int alertColumnPosition, System.Drawing.Color alertFore, double alertPoint01Price, string alertPoint01Text, double alertPoint02Price, string alertPoint02Text, double alertPoint03Price, string alertPoint03Text, double alertPoint04Price, string alertPoint04Text, double alertPoint05Price, string alertPoint05Text, double alertPoint06Price, string alertPoint06Text, double alertPoint07Price, string alertPoint07Text, double alertPoint08Price, string alertPoint08Text, double alertPoint09Price, string alertPoint09Text, double alertPoint10Price, string alertPoint10Text, bool alwaysOnTop, int askCurentColumnPosition, System.Drawing.Color askCurrentBack, System.Drawing.Color askCurrentFore, System.Drawing.Color askCurrentInsideBack, System.Drawing.Color askDepthBack, int askDepthColumnPosition, System.Drawing.Color askDepthFore, System.Drawing.Color askDepthTotalFore, System.Drawing.Color askSnapshotBack, int askSnapshotColumnPosition, System.Drawing.Color askSnapshotFore, System.Drawing.Color askSnapshotInsideBack, System.Drawing.Color askTotalBack, int askTotalColumnPosition, System.Drawing.Color askTotalFore, bool autoCenter, System.Drawing.Color bidCurrentBack, int bidCurrentColumnPosition, System.Drawing.Color bidCurrentFore, System.Drawing.Color bidCurrentInsideBack, System.Drawing.Color bidDepthBack, int bidDepthColumnPosition, System.Drawing.Color bidDepthFore, System.Drawing.Color bidDepthTotalFore, System.Drawing.Color bidSnapshotBack, int bidSnapshotColumnPosition, System.Drawing.Color bidSnapshotFore, System.Drawing.Color bidSnapshotInsideBack, System.Drawing.Color bidTotalBack, int bidTotalColumnPosition, System.Drawing.Color bidTotalFore, bool centerLine, System.Drawing.Color centerLineColor, int clearLevelInterval, bool consolidateStartup, bool consolidateTotals, Font displayFont, DisplayScheme dScheme, System.Drawing.Color gridLineColor, System.Drawing.Color lastTradedPriceBack, System.Drawing.Color lastTradedPriceFore, int marketDepth, int maxPriceUpdates, System.Drawing.Color nonTradedPriceBack, System.Drawing.Color nonTradedPriceFore, int priceColumnPosition, bool printAboveBelow, int snapshotDepth, int ticksBeforeAutoCenter, System.Drawing.Color tradedPriceBack, System.Drawing.Color tradedPriceFore, int updateDelay)
        {
            if (cacheJTDepthSales != null)
                for (int idx = 0; idx < cacheJTDepthSales.Length; idx++)
                    if (cacheJTDepthSales[idx].AlertBack == alertBack && cacheJTDepthSales[idx].AlertColumnPosition == alertColumnPosition && cacheJTDepthSales[idx].AlertFore == alertFore && Math.Abs(cacheJTDepthSales[idx].AlertPoint01Price - alertPoint01Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint01Text == alertPoint01Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint02Price - alertPoint02Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint02Text == alertPoint02Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint03Price - alertPoint03Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint03Text == alertPoint03Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint04Price - alertPoint04Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint04Text == alertPoint04Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint05Price - alertPoint05Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint05Text == alertPoint05Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint06Price - alertPoint06Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint06Text == alertPoint06Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint07Price - alertPoint07Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint07Text == alertPoint07Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint08Price - alertPoint08Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint08Text == alertPoint08Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint09Price - alertPoint09Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint09Text == alertPoint09Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint10Price - alertPoint10Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint10Text == alertPoint10Text && cacheJTDepthSales[idx].AlwaysOnTop == alwaysOnTop && cacheJTDepthSales[idx].AskCurentColumnPosition == askCurentColumnPosition && cacheJTDepthSales[idx].AskCurrentBack == askCurrentBack && cacheJTDepthSales[idx].AskCurrentFore == askCurrentFore && cacheJTDepthSales[idx].AskCurrentInsideBack == askCurrentInsideBack && cacheJTDepthSales[idx].AskDepthBack == askDepthBack && cacheJTDepthSales[idx].AskDepthColumnPosition == askDepthColumnPosition && cacheJTDepthSales[idx].AskDepthFore == askDepthFore && cacheJTDepthSales[idx].AskDepthTotalFore == askDepthTotalFore && cacheJTDepthSales[idx].AskSnapshotBack == askSnapshotBack && cacheJTDepthSales[idx].AskSnapshotColumnPosition == askSnapshotColumnPosition && cacheJTDepthSales[idx].AskSnapshotFore == askSnapshotFore && cacheJTDepthSales[idx].AskSnapshotInsideBack == askSnapshotInsideBack && cacheJTDepthSales[idx].AskTotalBack == askTotalBack && cacheJTDepthSales[idx].AskTotalColumnPosition == askTotalColumnPosition && cacheJTDepthSales[idx].AskTotalFore == askTotalFore && cacheJTDepthSales[idx].AutoCenter == autoCenter && cacheJTDepthSales[idx].BidCurrentBack == bidCurrentBack && cacheJTDepthSales[idx].BidCurrentColumnPosition == bidCurrentColumnPosition && cacheJTDepthSales[idx].BidCurrentFore == bidCurrentFore && cacheJTDepthSales[idx].BidCurrentInsideBack == bidCurrentInsideBack && cacheJTDepthSales[idx].BidDepthBack == bidDepthBack && cacheJTDepthSales[idx].BidDepthColumnPosition == bidDepthColumnPosition && cacheJTDepthSales[idx].BidDepthFore == bidDepthFore && cacheJTDepthSales[idx].BidDepthTotalFore == bidDepthTotalFore && cacheJTDepthSales[idx].BidSnapshotBack == bidSnapshotBack && cacheJTDepthSales[idx].BidSnapshotColumnPosition == bidSnapshotColumnPosition && cacheJTDepthSales[idx].BidSnapshotFore == bidSnapshotFore && cacheJTDepthSales[idx].BidSnapshotInsideBack == bidSnapshotInsideBack && cacheJTDepthSales[idx].BidTotalBack == bidTotalBack && cacheJTDepthSales[idx].BidTotalColumnPosition == bidTotalColumnPosition && cacheJTDepthSales[idx].BidTotalFore == bidTotalFore && cacheJTDepthSales[idx].CenterLine == centerLine && cacheJTDepthSales[idx].CenterLineColor == centerLineColor && cacheJTDepthSales[idx].ClearLevelInterval == clearLevelInterval && cacheJTDepthSales[idx].ConsolidateStartup == consolidateStartup && cacheJTDepthSales[idx].ConsolidateTotals == consolidateTotals && cacheJTDepthSales[idx].DisplayFont == displayFont && cacheJTDepthSales[idx].DScheme == dScheme && cacheJTDepthSales[idx].GridLineColor == gridLineColor && cacheJTDepthSales[idx].LastTradedPriceBack == lastTradedPriceBack && cacheJTDepthSales[idx].LastTradedPriceFore == lastTradedPriceFore && cacheJTDepthSales[idx].MarketDepth == marketDepth && cacheJTDepthSales[idx].MaxPriceUpdates == maxPriceUpdates && cacheJTDepthSales[idx].NonTradedPriceBack == nonTradedPriceBack && cacheJTDepthSales[idx].NonTradedPriceFore == nonTradedPriceFore && cacheJTDepthSales[idx].PriceColumnPosition == priceColumnPosition && cacheJTDepthSales[idx].PrintAboveBelow == printAboveBelow && cacheJTDepthSales[idx].SnapshotDepth == snapshotDepth && cacheJTDepthSales[idx].TicksBeforeAutoCenter == ticksBeforeAutoCenter && cacheJTDepthSales[idx].TradedPriceBack == tradedPriceBack && cacheJTDepthSales[idx].TradedPriceFore == tradedPriceFore && cacheJTDepthSales[idx].UpdateDelay == updateDelay && cacheJTDepthSales[idx].EqualsInput(input))
                        return cacheJTDepthSales[idx];

            lock (checkJTDepthSales)
            {
                checkJTDepthSales.AlertBack = alertBack;
                alertBack = checkJTDepthSales.AlertBack;
                checkJTDepthSales.AlertColumnPosition = alertColumnPosition;
                alertColumnPosition = checkJTDepthSales.AlertColumnPosition;
                checkJTDepthSales.AlertFore = alertFore;
                alertFore = checkJTDepthSales.AlertFore;
                checkJTDepthSales.AlertPoint01Price = alertPoint01Price;
                alertPoint01Price = checkJTDepthSales.AlertPoint01Price;
                checkJTDepthSales.AlertPoint01Text = alertPoint01Text;
                alertPoint01Text = checkJTDepthSales.AlertPoint01Text;
                checkJTDepthSales.AlertPoint02Price = alertPoint02Price;
                alertPoint02Price = checkJTDepthSales.AlertPoint02Price;
                checkJTDepthSales.AlertPoint02Text = alertPoint02Text;
                alertPoint02Text = checkJTDepthSales.AlertPoint02Text;
                checkJTDepthSales.AlertPoint03Price = alertPoint03Price;
                alertPoint03Price = checkJTDepthSales.AlertPoint03Price;
                checkJTDepthSales.AlertPoint03Text = alertPoint03Text;
                alertPoint03Text = checkJTDepthSales.AlertPoint03Text;
                checkJTDepthSales.AlertPoint04Price = alertPoint04Price;
                alertPoint04Price = checkJTDepthSales.AlertPoint04Price;
                checkJTDepthSales.AlertPoint04Text = alertPoint04Text;
                alertPoint04Text = checkJTDepthSales.AlertPoint04Text;
                checkJTDepthSales.AlertPoint05Price = alertPoint05Price;
                alertPoint05Price = checkJTDepthSales.AlertPoint05Price;
                checkJTDepthSales.AlertPoint05Text = alertPoint05Text;
                alertPoint05Text = checkJTDepthSales.AlertPoint05Text;
                checkJTDepthSales.AlertPoint06Price = alertPoint06Price;
                alertPoint06Price = checkJTDepthSales.AlertPoint06Price;
                checkJTDepthSales.AlertPoint06Text = alertPoint06Text;
                alertPoint06Text = checkJTDepthSales.AlertPoint06Text;
                checkJTDepthSales.AlertPoint07Price = alertPoint07Price;
                alertPoint07Price = checkJTDepthSales.AlertPoint07Price;
                checkJTDepthSales.AlertPoint07Text = alertPoint07Text;
                alertPoint07Text = checkJTDepthSales.AlertPoint07Text;
                checkJTDepthSales.AlertPoint08Price = alertPoint08Price;
                alertPoint08Price = checkJTDepthSales.AlertPoint08Price;
                checkJTDepthSales.AlertPoint08Text = alertPoint08Text;
                alertPoint08Text = checkJTDepthSales.AlertPoint08Text;
                checkJTDepthSales.AlertPoint09Price = alertPoint09Price;
                alertPoint09Price = checkJTDepthSales.AlertPoint09Price;
                checkJTDepthSales.AlertPoint09Text = alertPoint09Text;
                alertPoint09Text = checkJTDepthSales.AlertPoint09Text;
                checkJTDepthSales.AlertPoint10Price = alertPoint10Price;
                alertPoint10Price = checkJTDepthSales.AlertPoint10Price;
                checkJTDepthSales.AlertPoint10Text = alertPoint10Text;
                alertPoint10Text = checkJTDepthSales.AlertPoint10Text;
                checkJTDepthSales.AlwaysOnTop = alwaysOnTop;
                alwaysOnTop = checkJTDepthSales.AlwaysOnTop;
                checkJTDepthSales.AskCurentColumnPosition = askCurentColumnPosition;
                askCurentColumnPosition = checkJTDepthSales.AskCurentColumnPosition;
                checkJTDepthSales.AskCurrentBack = askCurrentBack;
                askCurrentBack = checkJTDepthSales.AskCurrentBack;
                checkJTDepthSales.AskCurrentFore = askCurrentFore;
                askCurrentFore = checkJTDepthSales.AskCurrentFore;
                checkJTDepthSales.AskCurrentInsideBack = askCurrentInsideBack;
                askCurrentInsideBack = checkJTDepthSales.AskCurrentInsideBack;
                checkJTDepthSales.AskDepthBack = askDepthBack;
                askDepthBack = checkJTDepthSales.AskDepthBack;
                checkJTDepthSales.AskDepthColumnPosition = askDepthColumnPosition;
                askDepthColumnPosition = checkJTDepthSales.AskDepthColumnPosition;
                checkJTDepthSales.AskDepthFore = askDepthFore;
                askDepthFore = checkJTDepthSales.AskDepthFore;
                checkJTDepthSales.AskDepthTotalFore = askDepthTotalFore;
                askDepthTotalFore = checkJTDepthSales.AskDepthTotalFore;
                checkJTDepthSales.AskSnapshotBack = askSnapshotBack;
                askSnapshotBack = checkJTDepthSales.AskSnapshotBack;
                checkJTDepthSales.AskSnapshotColumnPosition = askSnapshotColumnPosition;
                askSnapshotColumnPosition = checkJTDepthSales.AskSnapshotColumnPosition;
                checkJTDepthSales.AskSnapshotFore = askSnapshotFore;
                askSnapshotFore = checkJTDepthSales.AskSnapshotFore;
                checkJTDepthSales.AskSnapshotInsideBack = askSnapshotInsideBack;
                askSnapshotInsideBack = checkJTDepthSales.AskSnapshotInsideBack;
                checkJTDepthSales.AskTotalBack = askTotalBack;
                askTotalBack = checkJTDepthSales.AskTotalBack;
                checkJTDepthSales.AskTotalColumnPosition = askTotalColumnPosition;
                askTotalColumnPosition = checkJTDepthSales.AskTotalColumnPosition;
                checkJTDepthSales.AskTotalFore = askTotalFore;
                askTotalFore = checkJTDepthSales.AskTotalFore;
                checkJTDepthSales.AutoCenter = autoCenter;
                autoCenter = checkJTDepthSales.AutoCenter;
                checkJTDepthSales.BidCurrentBack = bidCurrentBack;
                bidCurrentBack = checkJTDepthSales.BidCurrentBack;
                checkJTDepthSales.BidCurrentColumnPosition = bidCurrentColumnPosition;
                bidCurrentColumnPosition = checkJTDepthSales.BidCurrentColumnPosition;
                checkJTDepthSales.BidCurrentFore = bidCurrentFore;
                bidCurrentFore = checkJTDepthSales.BidCurrentFore;
                checkJTDepthSales.BidCurrentInsideBack = bidCurrentInsideBack;
                bidCurrentInsideBack = checkJTDepthSales.BidCurrentInsideBack;
                checkJTDepthSales.BidDepthBack = bidDepthBack;
                bidDepthBack = checkJTDepthSales.BidDepthBack;
                checkJTDepthSales.BidDepthColumnPosition = bidDepthColumnPosition;
                bidDepthColumnPosition = checkJTDepthSales.BidDepthColumnPosition;
                checkJTDepthSales.BidDepthFore = bidDepthFore;
                bidDepthFore = checkJTDepthSales.BidDepthFore;
                checkJTDepthSales.BidDepthTotalFore = bidDepthTotalFore;
                bidDepthTotalFore = checkJTDepthSales.BidDepthTotalFore;
                checkJTDepthSales.BidSnapshotBack = bidSnapshotBack;
                bidSnapshotBack = checkJTDepthSales.BidSnapshotBack;
                checkJTDepthSales.BidSnapshotColumnPosition = bidSnapshotColumnPosition;
                bidSnapshotColumnPosition = checkJTDepthSales.BidSnapshotColumnPosition;
                checkJTDepthSales.BidSnapshotFore = bidSnapshotFore;
                bidSnapshotFore = checkJTDepthSales.BidSnapshotFore;
                checkJTDepthSales.BidSnapshotInsideBack = bidSnapshotInsideBack;
                bidSnapshotInsideBack = checkJTDepthSales.BidSnapshotInsideBack;
                checkJTDepthSales.BidTotalBack = bidTotalBack;
                bidTotalBack = checkJTDepthSales.BidTotalBack;
                checkJTDepthSales.BidTotalColumnPosition = bidTotalColumnPosition;
                bidTotalColumnPosition = checkJTDepthSales.BidTotalColumnPosition;
                checkJTDepthSales.BidTotalFore = bidTotalFore;
                bidTotalFore = checkJTDepthSales.BidTotalFore;
                checkJTDepthSales.CenterLine = centerLine;
                centerLine = checkJTDepthSales.CenterLine;
                checkJTDepthSales.CenterLineColor = centerLineColor;
                centerLineColor = checkJTDepthSales.CenterLineColor;
                checkJTDepthSales.ClearLevelInterval = clearLevelInterval;
                clearLevelInterval = checkJTDepthSales.ClearLevelInterval;
                checkJTDepthSales.ConsolidateStartup = consolidateStartup;
                consolidateStartup = checkJTDepthSales.ConsolidateStartup;
                checkJTDepthSales.ConsolidateTotals = consolidateTotals;
                consolidateTotals = checkJTDepthSales.ConsolidateTotals;
                checkJTDepthSales.DisplayFont = displayFont;
                displayFont = checkJTDepthSales.DisplayFont;
                checkJTDepthSales.DScheme = dScheme;
                dScheme = checkJTDepthSales.DScheme;
                checkJTDepthSales.GridLineColor = gridLineColor;
                gridLineColor = checkJTDepthSales.GridLineColor;
                checkJTDepthSales.LastTradedPriceBack = lastTradedPriceBack;
                lastTradedPriceBack = checkJTDepthSales.LastTradedPriceBack;
                checkJTDepthSales.LastTradedPriceFore = lastTradedPriceFore;
                lastTradedPriceFore = checkJTDepthSales.LastTradedPriceFore;
                checkJTDepthSales.MarketDepth = marketDepth;
                marketDepth = checkJTDepthSales.MarketDepth;
                checkJTDepthSales.MaxPriceUpdates = maxPriceUpdates;
                maxPriceUpdates = checkJTDepthSales.MaxPriceUpdates;
                checkJTDepthSales.NonTradedPriceBack = nonTradedPriceBack;
                nonTradedPriceBack = checkJTDepthSales.NonTradedPriceBack;
                checkJTDepthSales.NonTradedPriceFore = nonTradedPriceFore;
                nonTradedPriceFore = checkJTDepthSales.NonTradedPriceFore;
                checkJTDepthSales.PriceColumnPosition = priceColumnPosition;
                priceColumnPosition = checkJTDepthSales.PriceColumnPosition;
                checkJTDepthSales.PrintAboveBelow = printAboveBelow;
                printAboveBelow = checkJTDepthSales.PrintAboveBelow;
                checkJTDepthSales.SnapshotDepth = snapshotDepth;
                snapshotDepth = checkJTDepthSales.SnapshotDepth;
                checkJTDepthSales.TicksBeforeAutoCenter = ticksBeforeAutoCenter;
                ticksBeforeAutoCenter = checkJTDepthSales.TicksBeforeAutoCenter;
                checkJTDepthSales.TradedPriceBack = tradedPriceBack;
                tradedPriceBack = checkJTDepthSales.TradedPriceBack;
                checkJTDepthSales.TradedPriceFore = tradedPriceFore;
                tradedPriceFore = checkJTDepthSales.TradedPriceFore;
                checkJTDepthSales.UpdateDelay = updateDelay;
                updateDelay = checkJTDepthSales.UpdateDelay;

                if (cacheJTDepthSales != null)
                    for (int idx = 0; idx < cacheJTDepthSales.Length; idx++)
                        if (cacheJTDepthSales[idx].AlertBack == alertBack && cacheJTDepthSales[idx].AlertColumnPosition == alertColumnPosition && cacheJTDepthSales[idx].AlertFore == alertFore && Math.Abs(cacheJTDepthSales[idx].AlertPoint01Price - alertPoint01Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint01Text == alertPoint01Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint02Price - alertPoint02Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint02Text == alertPoint02Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint03Price - alertPoint03Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint03Text == alertPoint03Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint04Price - alertPoint04Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint04Text == alertPoint04Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint05Price - alertPoint05Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint05Text == alertPoint05Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint06Price - alertPoint06Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint06Text == alertPoint06Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint07Price - alertPoint07Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint07Text == alertPoint07Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint08Price - alertPoint08Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint08Text == alertPoint08Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint09Price - alertPoint09Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint09Text == alertPoint09Text && Math.Abs(cacheJTDepthSales[idx].AlertPoint10Price - alertPoint10Price) <= double.Epsilon && cacheJTDepthSales[idx].AlertPoint10Text == alertPoint10Text && cacheJTDepthSales[idx].AlwaysOnTop == alwaysOnTop && cacheJTDepthSales[idx].AskCurentColumnPosition == askCurentColumnPosition && cacheJTDepthSales[idx].AskCurrentBack == askCurrentBack && cacheJTDepthSales[idx].AskCurrentFore == askCurrentFore && cacheJTDepthSales[idx].AskCurrentInsideBack == askCurrentInsideBack && cacheJTDepthSales[idx].AskDepthBack == askDepthBack && cacheJTDepthSales[idx].AskDepthColumnPosition == askDepthColumnPosition && cacheJTDepthSales[idx].AskDepthFore == askDepthFore && cacheJTDepthSales[idx].AskDepthTotalFore == askDepthTotalFore && cacheJTDepthSales[idx].AskSnapshotBack == askSnapshotBack && cacheJTDepthSales[idx].AskSnapshotColumnPosition == askSnapshotColumnPosition && cacheJTDepthSales[idx].AskSnapshotFore == askSnapshotFore && cacheJTDepthSales[idx].AskSnapshotInsideBack == askSnapshotInsideBack && cacheJTDepthSales[idx].AskTotalBack == askTotalBack && cacheJTDepthSales[idx].AskTotalColumnPosition == askTotalColumnPosition && cacheJTDepthSales[idx].AskTotalFore == askTotalFore && cacheJTDepthSales[idx].AutoCenter == autoCenter && cacheJTDepthSales[idx].BidCurrentBack == bidCurrentBack && cacheJTDepthSales[idx].BidCurrentColumnPosition == bidCurrentColumnPosition && cacheJTDepthSales[idx].BidCurrentFore == bidCurrentFore && cacheJTDepthSales[idx].BidCurrentInsideBack == bidCurrentInsideBack && cacheJTDepthSales[idx].BidDepthBack == bidDepthBack && cacheJTDepthSales[idx].BidDepthColumnPosition == bidDepthColumnPosition && cacheJTDepthSales[idx].BidDepthFore == bidDepthFore && cacheJTDepthSales[idx].BidDepthTotalFore == bidDepthTotalFore && cacheJTDepthSales[idx].BidSnapshotBack == bidSnapshotBack && cacheJTDepthSales[idx].BidSnapshotColumnPosition == bidSnapshotColumnPosition && cacheJTDepthSales[idx].BidSnapshotFore == bidSnapshotFore && cacheJTDepthSales[idx].BidSnapshotInsideBack == bidSnapshotInsideBack && cacheJTDepthSales[idx].BidTotalBack == bidTotalBack && cacheJTDepthSales[idx].BidTotalColumnPosition == bidTotalColumnPosition && cacheJTDepthSales[idx].BidTotalFore == bidTotalFore && cacheJTDepthSales[idx].CenterLine == centerLine && cacheJTDepthSales[idx].CenterLineColor == centerLineColor && cacheJTDepthSales[idx].ClearLevelInterval == clearLevelInterval && cacheJTDepthSales[idx].ConsolidateStartup == consolidateStartup && cacheJTDepthSales[idx].ConsolidateTotals == consolidateTotals && cacheJTDepthSales[idx].DisplayFont == displayFont && cacheJTDepthSales[idx].DScheme == dScheme && cacheJTDepthSales[idx].GridLineColor == gridLineColor && cacheJTDepthSales[idx].LastTradedPriceBack == lastTradedPriceBack && cacheJTDepthSales[idx].LastTradedPriceFore == lastTradedPriceFore && cacheJTDepthSales[idx].MarketDepth == marketDepth && cacheJTDepthSales[idx].MaxPriceUpdates == maxPriceUpdates && cacheJTDepthSales[idx].NonTradedPriceBack == nonTradedPriceBack && cacheJTDepthSales[idx].NonTradedPriceFore == nonTradedPriceFore && cacheJTDepthSales[idx].PriceColumnPosition == priceColumnPosition && cacheJTDepthSales[idx].PrintAboveBelow == printAboveBelow && cacheJTDepthSales[idx].SnapshotDepth == snapshotDepth && cacheJTDepthSales[idx].TicksBeforeAutoCenter == ticksBeforeAutoCenter && cacheJTDepthSales[idx].TradedPriceBack == tradedPriceBack && cacheJTDepthSales[idx].TradedPriceFore == tradedPriceFore && cacheJTDepthSales[idx].UpdateDelay == updateDelay && cacheJTDepthSales[idx].EqualsInput(input))
                            return cacheJTDepthSales[idx];

                JTDepthSales indicator = new JTDepthSales();
                indicator.BarsRequired = BarsRequired;
                indicator.CalculateOnBarClose = CalculateOnBarClose;
#if NT7
                indicator.ForceMaximumBarsLookBack256 = ForceMaximumBarsLookBack256;
                indicator.MaximumBarsLookBack = MaximumBarsLookBack;
#endif
                indicator.Input = input;
                indicator.AlertBack = alertBack;
                indicator.AlertColumnPosition = alertColumnPosition;
                indicator.AlertFore = alertFore;
                indicator.AlertPoint01Price = alertPoint01Price;
                indicator.AlertPoint01Text = alertPoint01Text;
                indicator.AlertPoint02Price = alertPoint02Price;
                indicator.AlertPoint02Text = alertPoint02Text;
                indicator.AlertPoint03Price = alertPoint03Price;
                indicator.AlertPoint03Text = alertPoint03Text;
                indicator.AlertPoint04Price = alertPoint04Price;
                indicator.AlertPoint04Text = alertPoint04Text;
                indicator.AlertPoint05Price = alertPoint05Price;
                indicator.AlertPoint05Text = alertPoint05Text;
                indicator.AlertPoint06Price = alertPoint06Price;
                indicator.AlertPoint06Text = alertPoint06Text;
                indicator.AlertPoint07Price = alertPoint07Price;
                indicator.AlertPoint07Text = alertPoint07Text;
                indicator.AlertPoint08Price = alertPoint08Price;
                indicator.AlertPoint08Text = alertPoint08Text;
                indicator.AlertPoint09Price = alertPoint09Price;
                indicator.AlertPoint09Text = alertPoint09Text;
                indicator.AlertPoint10Price = alertPoint10Price;
                indicator.AlertPoint10Text = alertPoint10Text;
                indicator.AlwaysOnTop = alwaysOnTop;
                indicator.AskCurentColumnPosition = askCurentColumnPosition;
                indicator.AskCurrentBack = askCurrentBack;
                indicator.AskCurrentFore = askCurrentFore;
                indicator.AskCurrentInsideBack = askCurrentInsideBack;
                indicator.AskDepthBack = askDepthBack;
                indicator.AskDepthColumnPosition = askDepthColumnPosition;
                indicator.AskDepthFore = askDepthFore;
                indicator.AskDepthTotalFore = askDepthTotalFore;
                indicator.AskSnapshotBack = askSnapshotBack;
                indicator.AskSnapshotColumnPosition = askSnapshotColumnPosition;
                indicator.AskSnapshotFore = askSnapshotFore;
                indicator.AskSnapshotInsideBack = askSnapshotInsideBack;
                indicator.AskTotalBack = askTotalBack;
                indicator.AskTotalColumnPosition = askTotalColumnPosition;
                indicator.AskTotalFore = askTotalFore;
                indicator.AutoCenter = autoCenter;
                indicator.BidCurrentBack = bidCurrentBack;
                indicator.BidCurrentColumnPosition = bidCurrentColumnPosition;
                indicator.BidCurrentFore = bidCurrentFore;
                indicator.BidCurrentInsideBack = bidCurrentInsideBack;
                indicator.BidDepthBack = bidDepthBack;
                indicator.BidDepthColumnPosition = bidDepthColumnPosition;
                indicator.BidDepthFore = bidDepthFore;
                indicator.BidDepthTotalFore = bidDepthTotalFore;
                indicator.BidSnapshotBack = bidSnapshotBack;
                indicator.BidSnapshotColumnPosition = bidSnapshotColumnPosition;
                indicator.BidSnapshotFore = bidSnapshotFore;
                indicator.BidSnapshotInsideBack = bidSnapshotInsideBack;
                indicator.BidTotalBack = bidTotalBack;
                indicator.BidTotalColumnPosition = bidTotalColumnPosition;
                indicator.BidTotalFore = bidTotalFore;
                indicator.CenterLine = centerLine;
                indicator.CenterLineColor = centerLineColor;
                indicator.ClearLevelInterval = clearLevelInterval;
                indicator.ConsolidateStartup = consolidateStartup;
                indicator.ConsolidateTotals = consolidateTotals;
                indicator.DisplayFont = displayFont;
                indicator.DScheme = dScheme;
                indicator.GridLineColor = gridLineColor;
                indicator.LastTradedPriceBack = lastTradedPriceBack;
                indicator.LastTradedPriceFore = lastTradedPriceFore;
                indicator.MarketDepth = marketDepth;
                indicator.MaxPriceUpdates = maxPriceUpdates;
                indicator.NonTradedPriceBack = nonTradedPriceBack;
                indicator.NonTradedPriceFore = nonTradedPriceFore;
                indicator.PriceColumnPosition = priceColumnPosition;
                indicator.PrintAboveBelow = printAboveBelow;
                indicator.SnapshotDepth = snapshotDepth;
                indicator.TicksBeforeAutoCenter = ticksBeforeAutoCenter;
                indicator.TradedPriceBack = tradedPriceBack;
                indicator.TradedPriceFore = tradedPriceFore;
                indicator.UpdateDelay = updateDelay;
                Indicators.Add(indicator);
                indicator.SetUp();

                JTDepthSales[] tmp = new JTDepthSales[cacheJTDepthSales == null ? 1 : cacheJTDepthSales.Length + 1];
                if (cacheJTDepthSales != null)
                    cacheJTDepthSales.CopyTo(tmp, 0);
                tmp[tmp.Length - 1] = indicator;
                cacheJTDepthSales = tmp;
                return indicator;
            }
        }
    }
}

// This namespace holds all market analyzer column definitions and is required. Do not change it.
namespace NinjaTrader.MarketAnalyzer
{
    public partial class Column : ColumnBase
    {
        /// <summary>
        /// Depth and Sales. Market Depth with an integrated view of the actual prints.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.JTDepthSales JTDepthSales(System.Drawing.Color alertBack, int alertColumnPosition, System.Drawing.Color alertFore, double alertPoint01Price, string alertPoint01Text, double alertPoint02Price, string alertPoint02Text, double alertPoint03Price, string alertPoint03Text, double alertPoint04Price, string alertPoint04Text, double alertPoint05Price, string alertPoint05Text, double alertPoint06Price, string alertPoint06Text, double alertPoint07Price, string alertPoint07Text, double alertPoint08Price, string alertPoint08Text, double alertPoint09Price, string alertPoint09Text, double alertPoint10Price, string alertPoint10Text, bool alwaysOnTop, int askCurentColumnPosition, System.Drawing.Color askCurrentBack, System.Drawing.Color askCurrentFore, System.Drawing.Color askCurrentInsideBack, System.Drawing.Color askDepthBack, int askDepthColumnPosition, System.Drawing.Color askDepthFore, System.Drawing.Color askDepthTotalFore, System.Drawing.Color askSnapshotBack, int askSnapshotColumnPosition, System.Drawing.Color askSnapshotFore, System.Drawing.Color askSnapshotInsideBack, System.Drawing.Color askTotalBack, int askTotalColumnPosition, System.Drawing.Color askTotalFore, bool autoCenter, System.Drawing.Color bidCurrentBack, int bidCurrentColumnPosition, System.Drawing.Color bidCurrentFore, System.Drawing.Color bidCurrentInsideBack, System.Drawing.Color bidDepthBack, int bidDepthColumnPosition, System.Drawing.Color bidDepthFore, System.Drawing.Color bidDepthTotalFore, System.Drawing.Color bidSnapshotBack, int bidSnapshotColumnPosition, System.Drawing.Color bidSnapshotFore, System.Drawing.Color bidSnapshotInsideBack, System.Drawing.Color bidTotalBack, int bidTotalColumnPosition, System.Drawing.Color bidTotalFore, bool centerLine, System.Drawing.Color centerLineColor, int clearLevelInterval, bool consolidateStartup, bool consolidateTotals, Font displayFont, DisplayScheme dScheme, System.Drawing.Color gridLineColor, System.Drawing.Color lastTradedPriceBack, System.Drawing.Color lastTradedPriceFore, int marketDepth, int maxPriceUpdates, System.Drawing.Color nonTradedPriceBack, System.Drawing.Color nonTradedPriceFore, int priceColumnPosition, bool printAboveBelow, int snapshotDepth, int ticksBeforeAutoCenter, System.Drawing.Color tradedPriceBack, System.Drawing.Color tradedPriceFore, int updateDelay)
        {
            return _indicator.JTDepthSales(Input, alertBack, alertColumnPosition, alertFore, alertPoint01Price, alertPoint01Text, alertPoint02Price, alertPoint02Text, alertPoint03Price, alertPoint03Text, alertPoint04Price, alertPoint04Text, alertPoint05Price, alertPoint05Text, alertPoint06Price, alertPoint06Text, alertPoint07Price, alertPoint07Text, alertPoint08Price, alertPoint08Text, alertPoint09Price, alertPoint09Text, alertPoint10Price, alertPoint10Text, alwaysOnTop, askCurentColumnPosition, askCurrentBack, askCurrentFore, askCurrentInsideBack, askDepthBack, askDepthColumnPosition, askDepthFore, askDepthTotalFore, askSnapshotBack, askSnapshotColumnPosition, askSnapshotFore, askSnapshotInsideBack, askTotalBack, askTotalColumnPosition, askTotalFore, autoCenter, bidCurrentBack, bidCurrentColumnPosition, bidCurrentFore, bidCurrentInsideBack, bidDepthBack, bidDepthColumnPosition, bidDepthFore, bidDepthTotalFore, bidSnapshotBack, bidSnapshotColumnPosition, bidSnapshotFore, bidSnapshotInsideBack, bidTotalBack, bidTotalColumnPosition, bidTotalFore, centerLine, centerLineColor, clearLevelInterval, consolidateStartup, consolidateTotals, displayFont, dScheme, gridLineColor, lastTradedPriceBack, lastTradedPriceFore, marketDepth, maxPriceUpdates, nonTradedPriceBack, nonTradedPriceFore, priceColumnPosition, printAboveBelow, snapshotDepth, ticksBeforeAutoCenter, tradedPriceBack, tradedPriceFore, updateDelay);
        }

        /// <summary>
        /// Depth and Sales. Market Depth with an integrated view of the actual prints.
        /// </summary>
        /// <returns></returns>
        public Indicator.JTDepthSales JTDepthSales(Data.IDataSeries input, System.Drawing.Color alertBack, int alertColumnPosition, System.Drawing.Color alertFore, double alertPoint01Price, string alertPoint01Text, double alertPoint02Price, string alertPoint02Text, double alertPoint03Price, string alertPoint03Text, double alertPoint04Price, string alertPoint04Text, double alertPoint05Price, string alertPoint05Text, double alertPoint06Price, string alertPoint06Text, double alertPoint07Price, string alertPoint07Text, double alertPoint08Price, string alertPoint08Text, double alertPoint09Price, string alertPoint09Text, double alertPoint10Price, string alertPoint10Text, bool alwaysOnTop, int askCurentColumnPosition, System.Drawing.Color askCurrentBack, System.Drawing.Color askCurrentFore, System.Drawing.Color askCurrentInsideBack, System.Drawing.Color askDepthBack, int askDepthColumnPosition, System.Drawing.Color askDepthFore, System.Drawing.Color askDepthTotalFore, System.Drawing.Color askSnapshotBack, int askSnapshotColumnPosition, System.Drawing.Color askSnapshotFore, System.Drawing.Color askSnapshotInsideBack, System.Drawing.Color askTotalBack, int askTotalColumnPosition, System.Drawing.Color askTotalFore, bool autoCenter, System.Drawing.Color bidCurrentBack, int bidCurrentColumnPosition, System.Drawing.Color bidCurrentFore, System.Drawing.Color bidCurrentInsideBack, System.Drawing.Color bidDepthBack, int bidDepthColumnPosition, System.Drawing.Color bidDepthFore, System.Drawing.Color bidDepthTotalFore, System.Drawing.Color bidSnapshotBack, int bidSnapshotColumnPosition, System.Drawing.Color bidSnapshotFore, System.Drawing.Color bidSnapshotInsideBack, System.Drawing.Color bidTotalBack, int bidTotalColumnPosition, System.Drawing.Color bidTotalFore, bool centerLine, System.Drawing.Color centerLineColor, int clearLevelInterval, bool consolidateStartup, bool consolidateTotals, Font displayFont, DisplayScheme dScheme, System.Drawing.Color gridLineColor, System.Drawing.Color lastTradedPriceBack, System.Drawing.Color lastTradedPriceFore, int marketDepth, int maxPriceUpdates, System.Drawing.Color nonTradedPriceBack, System.Drawing.Color nonTradedPriceFore, int priceColumnPosition, bool printAboveBelow, int snapshotDepth, int ticksBeforeAutoCenter, System.Drawing.Color tradedPriceBack, System.Drawing.Color tradedPriceFore, int updateDelay)
        {
            return _indicator.JTDepthSales(input, alertBack, alertColumnPosition, alertFore, alertPoint01Price, alertPoint01Text, alertPoint02Price, alertPoint02Text, alertPoint03Price, alertPoint03Text, alertPoint04Price, alertPoint04Text, alertPoint05Price, alertPoint05Text, alertPoint06Price, alertPoint06Text, alertPoint07Price, alertPoint07Text, alertPoint08Price, alertPoint08Text, alertPoint09Price, alertPoint09Text, alertPoint10Price, alertPoint10Text, alwaysOnTop, askCurentColumnPosition, askCurrentBack, askCurrentFore, askCurrentInsideBack, askDepthBack, askDepthColumnPosition, askDepthFore, askDepthTotalFore, askSnapshotBack, askSnapshotColumnPosition, askSnapshotFore, askSnapshotInsideBack, askTotalBack, askTotalColumnPosition, askTotalFore, autoCenter, bidCurrentBack, bidCurrentColumnPosition, bidCurrentFore, bidCurrentInsideBack, bidDepthBack, bidDepthColumnPosition, bidDepthFore, bidDepthTotalFore, bidSnapshotBack, bidSnapshotColumnPosition, bidSnapshotFore, bidSnapshotInsideBack, bidTotalBack, bidTotalColumnPosition, bidTotalFore, centerLine, centerLineColor, clearLevelInterval, consolidateStartup, consolidateTotals, displayFont, dScheme, gridLineColor, lastTradedPriceBack, lastTradedPriceFore, marketDepth, maxPriceUpdates, nonTradedPriceBack, nonTradedPriceFore, priceColumnPosition, printAboveBelow, snapshotDepth, ticksBeforeAutoCenter, tradedPriceBack, tradedPriceFore, updateDelay);
        }
    }
}

// This namespace holds all strategies and is required. Do not change it.
namespace NinjaTrader.Strategy
{
    public partial class Strategy : StrategyBase
    {
        /// <summary>
        /// Depth and Sales. Market Depth with an integrated view of the actual prints.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.JTDepthSales JTDepthSales(System.Drawing.Color alertBack, int alertColumnPosition, System.Drawing.Color alertFore, double alertPoint01Price, string alertPoint01Text, double alertPoint02Price, string alertPoint02Text, double alertPoint03Price, string alertPoint03Text, double alertPoint04Price, string alertPoint04Text, double alertPoint05Price, string alertPoint05Text, double alertPoint06Price, string alertPoint06Text, double alertPoint07Price, string alertPoint07Text, double alertPoint08Price, string alertPoint08Text, double alertPoint09Price, string alertPoint09Text, double alertPoint10Price, string alertPoint10Text, bool alwaysOnTop, int askCurentColumnPosition, System.Drawing.Color askCurrentBack, System.Drawing.Color askCurrentFore, System.Drawing.Color askCurrentInsideBack, System.Drawing.Color askDepthBack, int askDepthColumnPosition, System.Drawing.Color askDepthFore, System.Drawing.Color askDepthTotalFore, System.Drawing.Color askSnapshotBack, int askSnapshotColumnPosition, System.Drawing.Color askSnapshotFore, System.Drawing.Color askSnapshotInsideBack, System.Drawing.Color askTotalBack, int askTotalColumnPosition, System.Drawing.Color askTotalFore, bool autoCenter, System.Drawing.Color bidCurrentBack, int bidCurrentColumnPosition, System.Drawing.Color bidCurrentFore, System.Drawing.Color bidCurrentInsideBack, System.Drawing.Color bidDepthBack, int bidDepthColumnPosition, System.Drawing.Color bidDepthFore, System.Drawing.Color bidDepthTotalFore, System.Drawing.Color bidSnapshotBack, int bidSnapshotColumnPosition, System.Drawing.Color bidSnapshotFore, System.Drawing.Color bidSnapshotInsideBack, System.Drawing.Color bidTotalBack, int bidTotalColumnPosition, System.Drawing.Color bidTotalFore, bool centerLine, System.Drawing.Color centerLineColor, int clearLevelInterval, bool consolidateStartup, bool consolidateTotals, Font displayFont, DisplayScheme dScheme, System.Drawing.Color gridLineColor, System.Drawing.Color lastTradedPriceBack, System.Drawing.Color lastTradedPriceFore, int marketDepth, int maxPriceUpdates, System.Drawing.Color nonTradedPriceBack, System.Drawing.Color nonTradedPriceFore, int priceColumnPosition, bool printAboveBelow, int snapshotDepth, int ticksBeforeAutoCenter, System.Drawing.Color tradedPriceBack, System.Drawing.Color tradedPriceFore, int updateDelay)
        {
            return _indicator.JTDepthSales(Input, alertBack, alertColumnPosition, alertFore, alertPoint01Price, alertPoint01Text, alertPoint02Price, alertPoint02Text, alertPoint03Price, alertPoint03Text, alertPoint04Price, alertPoint04Text, alertPoint05Price, alertPoint05Text, alertPoint06Price, alertPoint06Text, alertPoint07Price, alertPoint07Text, alertPoint08Price, alertPoint08Text, alertPoint09Price, alertPoint09Text, alertPoint10Price, alertPoint10Text, alwaysOnTop, askCurentColumnPosition, askCurrentBack, askCurrentFore, askCurrentInsideBack, askDepthBack, askDepthColumnPosition, askDepthFore, askDepthTotalFore, askSnapshotBack, askSnapshotColumnPosition, askSnapshotFore, askSnapshotInsideBack, askTotalBack, askTotalColumnPosition, askTotalFore, autoCenter, bidCurrentBack, bidCurrentColumnPosition, bidCurrentFore, bidCurrentInsideBack, bidDepthBack, bidDepthColumnPosition, bidDepthFore, bidDepthTotalFore, bidSnapshotBack, bidSnapshotColumnPosition, bidSnapshotFore, bidSnapshotInsideBack, bidTotalBack, bidTotalColumnPosition, bidTotalFore, centerLine, centerLineColor, clearLevelInterval, consolidateStartup, consolidateTotals, displayFont, dScheme, gridLineColor, lastTradedPriceBack, lastTradedPriceFore, marketDepth, maxPriceUpdates, nonTradedPriceBack, nonTradedPriceFore, priceColumnPosition, printAboveBelow, snapshotDepth, ticksBeforeAutoCenter, tradedPriceBack, tradedPriceFore, updateDelay);
        }

        /// <summary>
        /// Depth and Sales. Market Depth with an integrated view of the actual prints.
        /// </summary>
        /// <returns></returns>
        public Indicator.JTDepthSales JTDepthSales(Data.IDataSeries input, System.Drawing.Color alertBack, int alertColumnPosition, System.Drawing.Color alertFore, double alertPoint01Price, string alertPoint01Text, double alertPoint02Price, string alertPoint02Text, double alertPoint03Price, string alertPoint03Text, double alertPoint04Price, string alertPoint04Text, double alertPoint05Price, string alertPoint05Text, double alertPoint06Price, string alertPoint06Text, double alertPoint07Price, string alertPoint07Text, double alertPoint08Price, string alertPoint08Text, double alertPoint09Price, string alertPoint09Text, double alertPoint10Price, string alertPoint10Text, bool alwaysOnTop, int askCurentColumnPosition, System.Drawing.Color askCurrentBack, System.Drawing.Color askCurrentFore, System.Drawing.Color askCurrentInsideBack, System.Drawing.Color askDepthBack, int askDepthColumnPosition, System.Drawing.Color askDepthFore, System.Drawing.Color askDepthTotalFore, System.Drawing.Color askSnapshotBack, int askSnapshotColumnPosition, System.Drawing.Color askSnapshotFore, System.Drawing.Color askSnapshotInsideBack, System.Drawing.Color askTotalBack, int askTotalColumnPosition, System.Drawing.Color askTotalFore, bool autoCenter, System.Drawing.Color bidCurrentBack, int bidCurrentColumnPosition, System.Drawing.Color bidCurrentFore, System.Drawing.Color bidCurrentInsideBack, System.Drawing.Color bidDepthBack, int bidDepthColumnPosition, System.Drawing.Color bidDepthFore, System.Drawing.Color bidDepthTotalFore, System.Drawing.Color bidSnapshotBack, int bidSnapshotColumnPosition, System.Drawing.Color bidSnapshotFore, System.Drawing.Color bidSnapshotInsideBack, System.Drawing.Color bidTotalBack, int bidTotalColumnPosition, System.Drawing.Color bidTotalFore, bool centerLine, System.Drawing.Color centerLineColor, int clearLevelInterval, bool consolidateStartup, bool consolidateTotals, Font displayFont, DisplayScheme dScheme, System.Drawing.Color gridLineColor, System.Drawing.Color lastTradedPriceBack, System.Drawing.Color lastTradedPriceFore, int marketDepth, int maxPriceUpdates, System.Drawing.Color nonTradedPriceBack, System.Drawing.Color nonTradedPriceFore, int priceColumnPosition, bool printAboveBelow, int snapshotDepth, int ticksBeforeAutoCenter, System.Drawing.Color tradedPriceBack, System.Drawing.Color tradedPriceFore, int updateDelay)
        {
            if (InInitialize && input == null)
                throw new ArgumentException("You only can access an indicator with the default input/bar series from within the 'Initialize()' method");

            return _indicator.JTDepthSales(input, alertBack, alertColumnPosition, alertFore, alertPoint01Price, alertPoint01Text, alertPoint02Price, alertPoint02Text, alertPoint03Price, alertPoint03Text, alertPoint04Price, alertPoint04Text, alertPoint05Price, alertPoint05Text, alertPoint06Price, alertPoint06Text, alertPoint07Price, alertPoint07Text, alertPoint08Price, alertPoint08Text, alertPoint09Price, alertPoint09Text, alertPoint10Price, alertPoint10Text, alwaysOnTop, askCurentColumnPosition, askCurrentBack, askCurrentFore, askCurrentInsideBack, askDepthBack, askDepthColumnPosition, askDepthFore, askDepthTotalFore, askSnapshotBack, askSnapshotColumnPosition, askSnapshotFore, askSnapshotInsideBack, askTotalBack, askTotalColumnPosition, askTotalFore, autoCenter, bidCurrentBack, bidCurrentColumnPosition, bidCurrentFore, bidCurrentInsideBack, bidDepthBack, bidDepthColumnPosition, bidDepthFore, bidDepthTotalFore, bidSnapshotBack, bidSnapshotColumnPosition, bidSnapshotFore, bidSnapshotInsideBack, bidTotalBack, bidTotalColumnPosition, bidTotalFore, centerLine, centerLineColor, clearLevelInterval, consolidateStartup, consolidateTotals, displayFont, dScheme, gridLineColor, lastTradedPriceBack, lastTradedPriceFore, marketDepth, maxPriceUpdates, nonTradedPriceBack, nonTradedPriceFore, priceColumnPosition, printAboveBelow, snapshotDepth, ticksBeforeAutoCenter, tradedPriceBack, tradedPriceFore, updateDelay);
        }
    }
}
#endregion
